﻿:root {
    --ui-layout-footer-height: 24px;
}

.ui-layout-background {
    position: relative;
    overflow: hidden;
}

.ui-layout-background-img-container {
    position: fixed;
    top: 2%;
    left: 2%;
    width: 96%;
    height: 96%;
}

.ui-layout-background-img-container img {
    height: 100%;
    width: 100%;
    object-fit: contain;
    opacity: 0.2;
}

.ui-layout-base {
    min-height: 100vh;
    background-size: cover;
    background-position: center;
}

.ui-layout-header {
    display: flex;
    flex-direction: row;
    background-color: #63666A;
    height: 64px;
}

.ui-layout-logo {
    position: relative;
    height: 64px;
    top: 4px;
}

.ui-header-muted {
    color: #989EA3;
}

.ui-layout-page-header {
    display: flex;
    align-items: center;
    white-space: nowrap;
    font-size: 1.5em;
}

.ui-layout-app-header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: end;
    white-space: nowrap;
    line-height: normal;
}

.ui-layout-app-caption {
    font-size: 1.15em;
}

.ui-layout-company-caption {
    font-size: .65em;
}

.ui-btn-header {
    color: #000;
    background-color: #EEF1F3;
    border-color: #EEF1F3;
    box-shadow: none !important;
    border-radius: .2rem !important;
}

.ui-btn-header:hover, .ui-btn-header:first-child:active, .ui-btn-header:focus-visible, .ui-btn-header.show {
    background-color: #EEF1F3;
    border-color: #EEF1F3;
}

.ui-layout-header-content {
    display: flex;
    align-items: center;
    justify-content: end;
    width: 100%;
}

.ui-layout-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-items: center;
}

.ui-layout-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: #63666A;
    color: white;
    padding: 2px 20px 2px 6px;
    position: absolute;
    bottom: 0;
    height: var(--ui-layout-footer-height);
    width: 100%;
}

.ui-layout-footer-left-text {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: left;
    height: var(--ui-layout-footer-height);
}

.ui-layout-footer-middle-text {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    font-size: 80%;
    height: var(--ui-layout-footer-height);
}

.ui-layout-footer-version-text {
    font-size: 80%;
    color: #989EA3;
    margin-top: 3px;
}

@media (min-width: 992px) {

    .ui-layout-header {
        padding: 10px 60px 10px 100px;
    }

    .ui-layout-content {
        margin: 20px 80px var(--ui-layout-footer-height); /*top right-left bottom*/
    }
}

@media (max-width: 991.98px) {

    .ui-layout-header {
        padding: 10px 20px 10px 40px;
    }

    .ui-layout-content {
        margin: 20px 20px var(--ui-layout-footer-height); /*top right-left bottom*/
    }
}

@media (min-width: 768px) {

}

@media (max-width: 767.98px) {

    .ui-layout-header {
        padding: 10px 20px 10px 20px;
    }

    .ui-layout-content {
        margin: 20px 0px var(--ui-layout-footer-height); /*top right-left bottom*/
    }
}

@media (max-width: 575.98px) {

}

.no-select {
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10+ and Edge */
    user-select: none; /* Standard syntax */
}
